# $Revision: 1.20 $, $Date: 2006/03/29 22:29:44 $
%include	/usr/lib/rpm/macros.php
%define		_class		DBA
%define		_subclass	Relational
%define		_status		devel
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Berkeley-style database abstraction class
Summary(pl):	%{_pearname} - abstrakcyjna klasa w stylu bazy danych Berkeley
Name:		php-pear-%{_pearname}
Version:	0.19
Release:	6
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eab476d233ca303e6e13e3a01c221d59
URL:		http://pear.php.net/package/DBA_Relational/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.0.4pl1
Requires:	php-pear
Requires:	php-pear-DBA
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests package
%define		_noautoreq 'pear(empSchema.php)' 'pear(hatSchema.php)'

%description
Table management extension for DBA.

%description -l pl
Rozszerzenie klasy DBA do zarzdzania tabelami.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DBA_Relational.spec,v $
Revision 1.20  2006/03/29 22:29:44  glen
- rel 6 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.17  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.16  2005/10/05 20:11:24  glen
- rel 5

Revision 1.15  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.14  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.13  2005/09/20 16:46:21  glen
- make tests package installable

Revision 1.12  2005/09/19 21:43:39  glen
- integer BR

Revision 1.11  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.10  2004/12/03 22:03:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 4

Revision 1.9  2004/03/15 17:44:29  ankry
- massive cosmetics

Revision 1.8  2004/03/14 22:49:32  adamg
- added missing status information
- cosmetics

Revision 1.7  2003/10/07 20:54:30  adamg
- do not use macros in URL

Revision 1.6  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.5  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/14 23:38:52  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.2  2002/10/02 09:26:07  blues
- release 2 - Requires removed (numbers are broken) STBR

Revision 1.1  2002/09/30 15:53:53  blues
- initial release - STBR
